Bug 277871 - audio-convert-mod won't even start
audio-convert-mod won't even start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audio-convert-mod (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 02:57 EDT by Sjoerd Mullender
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.45.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 13:19:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sjoerd Mullender 2007-09-05 02:57:29 EDT
Description of problem:
Starting audio-convert-mod from the command line results in a crash.
Starting it with --help results in a different crash.

Version-Release number of selected component (if applicable):
audio-convert-mod-3.45.1-1.fc7.noarch

How reproducible:
100%, if there is not .audio-convert-mod directory.

Steps to Reproduce:
1. rm -rf ~/.audio-convert-mod
2. audio-convert-mod
3.
  
Actual results:
A window pops up, then this appears in the terminal window, and the window
disappears again:

Traceback (most recent call last):
  File "/usr/share/audio-convert-mod/acm-runapp.py", line 88, in <module>
    MainApp = acm(paths)
  File "/usr/share/audio-convert-mod/acm-runapp.py", line 55, in __init__
    callbacks.Controller.__init__(self, GLADE_FILE, paths)
  File "/usr/lib/python2.5/site-packages/audio_convert_mod/callbacks.py", line
230, in __init__
    oldVersion = prefs.get('Preferences', 'Version')
UnboundLocalError: local variable 'prefs' referenced before assignment


Expected results:
No crash.

Additional info:
`audio-convert-mod --help' results in:
Traceback (most recent call last):
  File "/usr/share/audio-convert-mod/acm-runapp.py", line 82, in <module>
    usage()
TypeError: usage() takes exactly 1 argument (0 given)
Comment 1 Fedora Update System 2007-09-07 13:19:40 EDT
audio-convert-mod-3.45.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Sjoerd Mullender 2007-09-08 07:40:01 EDT
The second part of the bug is still there: audio-convert-mod --help results in
the quoted stack trace.
Comment 3 Stewart Adam 2007-09-08 12:25:39 EDT
Sorry about that, I forgot to fix that part. I've just tagged & queued 3.45.1-2...

Note You need to log in before you can comment on or make changes to this bug.